
/*
 http://F5MNA.free.fr
  mai 2012
  Commande du capteur de temperature LM35DZ (commande: pin 1 analogique).
  Exploitation librairie "TVout" 
  
  S'assurer que la tension aux bornes du LM35 soit effectivement
  de 5 VCC. Alimenter la carte Arduino par son entrée 8 V 
  si nécessaire. (Attention aux alimentations dépassant 12 volts à vide !)

  Resolution de l'ecran 128 par 96 pixels 
  3 font de caracteres (4, 6, 8)

  Pin9: Sync line:  -->|--/\/\/\--o---------------- Fiche RCA Video 
			 1Kohm   
  Pin7: Video line: -->|--/\/\/\--o---------------- Fiche RCA Video 
			 330ohm  
  Pin 10 Audio
				
  Relier la masse des fiches RCA à la masse (GND) de l'Arduino

*/
 
#include <TVout.h>
#include <fontALL.h>
TVout TV;

void setup()  {
  TV.begin(PAL,120,96);
  TV.select_font(font6x8);
  Serial.begin(9600);
  Serial.flush();
 }
 
 void LM35_DZ(){
    //  Mesure de la temperature avec LM35 DZ
    //  -------------------------------------
int pin1 = 1; // analog pin
int tempc = 0; // temperature variables
int samples[8]; // 8 echantillons pour une meilleure précision 
int i;
for(i = 0;i<=7;i++){ // Acquisition de huit échantillons
  samples[i] = ( 5.0 * analogRead(pin1) * 100.0) / 1024.0;
  tempc = tempc + samples[i];
  delay(100);
}
     tempc = tempc/8.0; //  Moyenne des échantillons
      // passage integer à string
     char temperature[10]; //char array of string
     itoa(tempc, temperature, 10); 

TV.println(5,10,"Temperature: ");
TV.println(80,10,"+");
TV.println(90,10,"  ");
TV.println(90,10,temperature);
TV.println(103,10," C");
Serial.println (tempc,DEC);
}

 void loop(){
   LM35_DZ();
 }  


  

